Show / Hide Table of Contents

# Struct hkaPose

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaPose

### Fields

| Improve this Doc View Source

#### BoneFlags

##### Declaration

    public hkArray<uint> BoneFlags

##### Field Value

Type | Description
--- | ---
hkArray<System.UInt32> |

| Improve this Doc View Source

#### FloatSlotValues

##### Declaration

    public hkArray<float> FloatSlotValues

##### Field Value

Type | Description
--- | ---
hkArray<System.Single> |

| Improve this Doc View Source

#### LocalInSync

##### Declaration

    public byte LocalInSync

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LocalPose

##### Declaration

    public hkArray<hkQsTransformf> LocalPose

##### Field Value

Type | Description
--- | ---
hkArray<hkQsTransformf> |

| Improve this Doc View Source

#### ModelInSync

##### Declaration

    public byte ModelInSync

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ModelPose

##### Declaration

    public hkArray<hkQsTransformf> ModelPose

##### Field Value

Type | Description
--- | ---
hkArray<hkQsTransformf> |

| Improve this Doc View Source

#### Skeleton

##### Declaration

    public hkaSkeleton*Skeleton

##### Field Value

Type | Description
--- | ---
hkaSkeleton* |

### Methods

| Improve this Doc View Source

#### AccessBoneLocalSpace(Int32)

##### Declaration

    public hkQsTransformf*AccessBoneLocalSpace(int boneIdx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | boneIdx |

##### Returns

Type | Description
--- | ---
hkQsTransformf* |

| Improve this Doc View Source

#### AccessBoneModelSpace(Int32, hkaPose.PropagateOrNot)

##### Declaration

    public hkQsTransformf*AccessBoneModelSpace(int boneIdx, hkaPose.PropagateOrNot propagateOrNot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | boneIdx |
hkaPose.PropagateOrNot | propagateOrNot |

##### Returns

Type | Description
--- | ---
hkQsTransformf* |

| Improve this Doc View Source

#### AccessSyncedPoseLocalSpace()

##### Declaration

    public hkArray<hkQsTransformf>*AccessSyncedPoseLocalSpace()

##### Returns

Type | Description
--- | ---
hkArray<hkQsTransformf>* |

| Improve this Doc View Source

#### AccessSyncedPoseModelSpace()

##### Declaration

    public hkArray<hkQsTransformf>*AccessSyncedPoseModelSpace()

##### Returns

Type | Description
--- | ---
hkArray<hkQsTransformf>* |

| Improve this Doc View Source

#### AccessUnsyncedPoseLocalSpace()

##### Declaration

    public hkArray<hkQsTransformf>*AccessUnsyncedPoseLocalSpace()

##### Returns

Type | Description
--- | ---
hkArray<hkQsTransformf>* |

| Improve this Doc View Source

#### CalculateBoneModelSpace(Int32)

##### Declaration

    public hkQsTransformf*CalculateBoneModelSpace(int boneIdx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | boneIdx |

##### Returns

Type | Description
--- | ---
hkQsTransformf* |

| Improve this Doc View Source

#### CheckPoseTransformsValidity()

##### Declaration

    public byte CheckPoseTransformsValidity()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CheckPoseValidity()

##### Declaration

    public byte CheckPoseValidity()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Ctor1(hkaPose.PoseSpace, hkaSkeleton*, hkArray<hkQsTransformf>*)

##### Declaration

    public void Ctor1(hkaPose.PoseSpace space, hkaSkeleton*skeleton, hkArray<hkQsTransformf>*pose)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaPose.PoseSpace | space |
hkaSkeleton* | skeleton |
hkArray<hkQsTransformf>* | pose |

| Improve this Doc View Source

#### Ctor2(hkaPose.PoseSpace, hkaSkeleton*, hkQsTransformf*, Int32)

##### Declaration

    public void Ctor2(hkaPose.PoseSpace space, hkaSkeleton*skeleton, hkQsTransformf*pose, int numBones)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaPose.PoseSpace | space |
hkaSkeleton* | skeleton |
hkQsTransformf* | pose |
System.Int32 | numBones |

| Improve this Doc View Source

#### EnforceSkeletonConstraintsLocalSpace()

##### Declaration

    public void EnforceSkeletonConstraintsLocalSpace()

| Improve this Doc View Source

#### EnforceSkeletonConstraintsModelSpace()

##### Declaration

    public void EnforceSkeletonConstraintsModelSpace()

| Improve this Doc View Source

#### GetModelSpaceAabb(hkAabb*)

##### Declaration

    public void GetModelSpaceAabb(hkAabb*aabbOut)

##### Parameters

Type | Name | Description
--- | --- | ---
hkAabb* | aabbOut |

| Improve this Doc View Source

#### GetSyncedPoseLocalSpace()

##### Declaration

    public hkArray<hkQsTransformf>*GetSyncedPoseLocalSpace()

##### Returns

Type | Description
--- | ---
hkArray<hkQsTransformf>* |

| Improve this Doc View Source

#### GetSyncedPoseModelSpace()

##### Declaration

    public hkArray<hkQsTransformf>*GetSyncedPoseModelSpace()

##### Returns

Type | Description
--- | ---
hkArray<hkQsTransformf>* |

| Improve this Doc View Source

#### Init(hkaPose.PoseSpace, hkaSkeleton*, hkArray<hkQsTransformf>*)

##### Declaration

    public void Init(hkaPose.PoseSpace space, hkaSkeleton*skeleton, hkArray<hkQsTransformf>*pose)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaPose.PoseSpace | space |
hkaSkeleton* | skeleton |
hkArray<hkQsTransformf>* | pose |

| Improve this Doc View Source

#### SetPoseLocalSpace(hkArray<hkQsTransformf>*)

##### Declaration

    public void SetPoseLocalSpace(hkArray<hkQsTransformf>*poseLocal)

##### Parameters

Type | Name | Description
--- | --- | ---
hkArray<hkQsTransformf>* | poseLocal |

| Improve this Doc View Source

#### SetPoseModelSpace(hkArray<hkQsTransformf>*)

##### Declaration

    public void SetPoseModelSpace(hkArray<hkQsTransformf>*poseModel)

##### Parameters

Type | Name | Description
--- | --- | ---
hkArray<hkQsTransformf>* | poseModel |

| Improve this Doc View Source

#### SetToReferencePose()

##### Declaration

    public void SetToReferencePose()

| Improve this Doc View Source

#### SyncLocalSpace()

##### Declaration

    public void SyncLocalSpace()

| Improve this Doc View Source

#### SyncModelSpace()

##### Declaration

    public void SyncModelSpace()